ia64/xen-unstable

changeset 14706:cd01741aaa93

Added section on Xend's runtime dependencies.

Signed-off-by: Ewan Mellor <ewan@xensource.com>
author Ewan Mellor <ewan@xensource.com>
date Tue Apr 03 12:22:10 2007 +0100 (2007-04-03)
parents a1b17c48fb40
children 7e431ea834a8
files README
line diff
     1.1 --- a/README	Tue Apr 03 11:44:10 2007 +0100
     1.2 +++ b/README	Tue Apr 03 12:22:10 2007 +0100
     1.3 @@ -177,3 +177,25 @@ 5. To rebuild a kernel with a modified c
     1.4     an initial ram disk, just like a native system e.g.
     1.5      # depmod 2.6.16-xen
     1.6      # mkinitrd -v -f --with=aacraid --with=sd_mod --with=scsi_mod initrd-2.6.16-xen.img 2.6.16-xen
     1.7 +
     1.8 +
     1.9 +Python Runtime Libraries
    1.10 +========================
    1.11 +
    1.12 +Xend (the Xen daemon) has the following runtime dependencies:
    1.13 +
    1.14 +    * Python 2.3 or later.
    1.15 +      In many distros, the XML-aspects to the standard library
    1.16 +      (xml.dom.minidom etc) are broken out into a separate python-xml package.
    1.17 +      This is also required.
    1.18 +
    1.19 +          URL:    http://www.python.org/
    1.20 +          Debian: python, python-xml
    1.21 +
    1.22 +    * For optional SSL support, pyOpenSSL:
    1.23 +          URL:    http://pyopenssl.sourceforge.net/
    1.24 +          Debian: python-pyopenssl
    1.25 +
    1.26 +    * For optional PAM support, PyPAM:
    1.27 +          URL:    http://www.pangalactic.org/PyPAM/
    1.28 +          Debian: python-pam